Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1722345 - [abrt] solaar: __call__(): settings.py:64:__call__:AssertionError
Summary: [abrt] solaar: __call__(): settings.py:64:__call__:AssertionError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:70b696ca5bbf955d4e444992455...
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2019-06-20 06:38 UTC by Markus Schulze
Modified: 2020-02-05 19:35 UTC (History)
5 users (show)

Fixed In Version: solaar-1.0.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-06 12:32:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (1.38 KB, text/plain)
2019-06-20 06:38 UTC, Markus Schulze
no flags Details
File: cgroup (331 bytes, text/plain)
2019-06-20 06:38 UTC, Markus Schulze
no flags Details
File: cpuinfo (1.28 KB, text/plain)
2019-06-20 06:38 UTC, Markus Schulze
no flags Details
File: environ (2.01 KB, text/plain)
2019-06-20 06:38 UTC, Markus Schulze
no flags Details
File: mountinfo (3.54 KB, text/plain)
2019-06-20 06:38 UTC, Markus Schulze
no flags Details
File: namespaces (129 bytes, text/plain)
2019-06-20 06:38 UTC, Markus Schulze
no flags Details
File: open_fds (1.33 KB, text/plain)
2019-06-20 06:38 UTC, Markus Schulze
no flags Details

Description Markus Schulze 2019-06-20 06:38:51 UTC
Version-Release number of selected component:
solaar-0.9.2-11.20180813gitf0fc63e.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: __call__
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.3-3.fc30.x86_64
kernel:         5.1.8-300.fc30.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
settings.py:64:__call__:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 382, in _device_selected
    _update_info_panel(device, full=True)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 703, in _update_info_panel
    _update_device_panel(device, _info._device, _info._buttons, full)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 674, in _update_device_panel
    _config_panel.update(device, is_online)
  File "/usr/lib/python3.7/site-packages/solaar/ui/config_panel.py", line 206, in update
    for s in device.settings:
  File "/usr/lib/python3.7/site-packages/logitech_receiver/receiver.py", line 254, in settings
    _check_feature_settings(self, self._settings)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings_templates.py", line 377, in check_feature_settings
    check_feature(_SMOOTH_SCROLL[0], _F.LOWRES_WHEEL)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings_templates.py", line 374, in check_feature
    already_known.append(feature(device))
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings.py", line 64, in __call__
    assert self.device_kind is None or self.device_kind == device.kind
AssertionError

Local variables in innermost frame:
self: <Setting([feature:toggle] smooth-scroll)>
device: <PairedDevice(1,406F,MX Ergo)>

Potential duplicate: bug 1662140

Comment 1 Markus Schulze 2019-06-20 06:38:53 UTC
Created attachment 1582525 [details]
File: backtrace

Comment 2 Markus Schulze 2019-06-20 06:38:54 UTC
Created attachment 1582526 [details]
File: cgroup

Comment 3 Markus Schulze 2019-06-20 06:38:55 UTC
Created attachment 1582527 [details]
File: cpuinfo

Comment 4 Markus Schulze 2019-06-20 06:38:56 UTC
Created attachment 1582528 [details]
File: environ

Comment 5 Markus Schulze 2019-06-20 06:38:57 UTC
Created attachment 1582529 [details]
File: mountinfo

Comment 6 Markus Schulze 2019-06-20 06:38:58 UTC
Created attachment 1582530 [details]
File: namespaces

Comment 7 Markus Schulze 2019-06-20 06:38:59 UTC
Created attachment 1582531 [details]
File: open_fds

Comment 8 Jenna Kenshin 2019-08-26 03:00:09 UTC
Similar problem has been detected:

No comment.

reporter:       libreport-2.10.1
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: __call__
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.3-1.fc30.x86_64
kernel:         5.0.8-300.fc30.x86_64
package:        solaar-0.9.2-11.20180813gitf0fc63e.fc30
reason:         settings.py:64:__call__:AssertionError
runlevel:       N 5
type:           Python3
uid:            1000

Comment 9 Fedora Update System 2019-08-27 14:25:17 UTC
FEDORA-2019-c00c923eba has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c00c923eba

Comment 10 Fedora Update System 2019-08-30 00:04:17 UTC
solaar-1.0.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c00c923eba

Comment 11 Fedora Update System 2019-09-06 12:32:20 UTC
solaar-1.0.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Bryan Mason 2020-02-05 19:35:26 UTC
Similar problem has been detected:

Happened when Solaar was opened from the tray icon (I'm using Topicons Plus).

reporter:       libreport-2.11.3
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: __call__
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.6-1.fc30.x86_64
kernel:         5.4.14-100.fc30.x86_64
package:        solaar-1.0.1-1.fc30
reason:         settings.py:64:__call__:AssertionError
runlevel:       N 5
type:           Python3
uid:            900


Note You need to log in before you can comment on or make changes to this bug.